# frozen_string_literal: true

module GusBir1
  class Dictionary
    class << self
      def status_uslugi
        {
          '0': 'usługa niedostępna',
          '1': 'usługa dostępna',
          '2': 'przerwa techniczna'
        }
      end
      alias StatusUslugi status_uslugi

      def status_sesji
        {
          '1': 'sesja istnieje',
          '0': 'sesja nie istnieje'
        }
      end
      alias StatusSesji status_sesji

      def szukaj_typ
        {
          P: 'Typ jednostki – jednostka prawna',
          F: 'Typ jednostki – jednostka fizyczna (os. fizyczna prowadząca działalność gospodarczą)',
          LP: 'Typ jednostki – jednostka lokalna jednostki prawnej',
          LF: 'Typ jednostki – jednostka lokalna jednostki fizycznej'
        }
      end

      def szukaj_silos_id
        {
          '1': 'Miejsce prowadzenia działalności zarejestrowanej w CEIDG',
          '2': 'Miejsce prowadzenia działalności Rolniczej',
          '3': 'Miejsce prowadzenia działalności pozostałej',
          '4': 'Miejsce prowadzenia działalności zlikwidowanej w starym systemie KRUPGN',
          '6': 'Miejsce prowadzenia działalności jednostki prawnej'
        }
      end

      def podstawowa_forma_prawna
        {
          1 => 'OSOBA PRAWNA',
          2 => 'JEDNOSTKA ORGANIZACYJNA NIEMAJĄCA OSOBOWOŚCI PRAWNEJ',
          9 => 'OSOBA FIZYCZNA PROWADZĄCA DZIAŁALNOŚĆ GOSPODARCZĄ'
        }
      end

      # def szczegolna_forma_prawna
      #   {
      #     01  => 'ORGANY WŁADZY,ADMINISTRACJI RZĄDOWEJ',
      #     02  => 'ORGANY KONTROLI PAŃSTWOWEJ I OCHRONY PRAWA',
      #     03  => 'WSPÓLNOTY SAMORZĄDOWE',
      #     06  => 'SĄDY I TRYBUNAŁY',
      #     09  => 'SKARB PAŃSTWA',
      #     14  => 'EUROPEJSKIE ZGRUPOWANIA INTERESÓW GOSPODARCZYCH',
      #     15  => 'SPÓŁKI PARTNERSKIE',
      #     16  => 'SPÓŁKI AKCYJNE',
      #     17  => 'SPÓŁKI Z OGRANICZONĄ ODPOWIEDZIALNOŚCIĄ',
      #     18  => 'SPÓŁKI JAWNE',
      #     19  => 'SPÓŁKI CYWILNE PROWADZĄCE DZIAŁALNOŚĆ W OPARCIU O UMOWĘ ZAWARTĄ NA PODSTAWIE KODEKSU CYWILNEGO',
      #     20  => 'SPÓŁKI KOMANDYTOWE',
      #     21  => 'SPÓŁKI KOMANDYTOWO - AKCYJNE',
      #     22  => 'SPÓŁKI EUROPEJSKIE',
      #     23  => 'SPÓŁKI PRZEWIDZIANE W PRZEPISACH INNYCH USTAW NIŻ KODEKS SPÓŁEK HANDLOWYCH I KODEKS CYWILNY LUB FORMY PRAWNE, DO KTÓRYCH STOSUJE SIĘ PRZEPISY O SPÓŁKACH',
      #     24  => 'PRZEDSIĘBIORSTWA PAŃSTWOWE',
      #     25  => 'PRZEDSIĘBIORSTWA KOMUNALNE',
      #     26  => 'TOWARZYSTWA UBEZPIECZEŃ WZAJEMNYCH',
      #     28  => 'PAŃSTWOWE JEDNOSTKI ORGANIZACYJNE',
      #     29  => 'GMINNE SAMORZĄDOWE JEDNOSTKI ORGANIZACYJNE',
      #     30  => 'POWIATOWE SAMORZĄDOWE JEDNOSTKI ORGANIZACYJNE',
      #     31  => 'WOJEWÓDZKIE SAMORZĄDOWE JEDNOSTKI ORGANIZACYJNE',
      #     32  => 'INSTYTUCJE GOSPODARKI BUDŻETOWEJ',
      #     34  => 'TOWARZYSTWA REASEKURACJI WZAJEMNEJ',
      #     35  => 'GŁÓWNE ODDZIAŁY ZAGRANICZNYCH ZAKŁADÓW REASEKURACJI WZAJEMNEJ',
      #     40  => 'SPÓŁDZIELNIE',
      #     42  => 'SPÓŁDZIELNIE EUROPEJSKIE',
      #     44  => 'UCZELNIE',
      #     46  => 'SAMODZIELNE PUBLICZNE ZAKŁADY OPIEKI ZDROWOTNEJ',
      #     48  => 'FUNDACJE',
      #     49  => 'FUNDUSZE',
      #     50  => 'KOŚCIÓŁ KATOLICKI',
      #     51  => 'INNE KOŚCIOŁY I ZWIĄZKI WYZNANIOWE',
      #     53  => 'EUROPEJSKIE UGRUPOWANIA WSPÓŁPRACY TERYTORIALNEJ',
      #     55  => 'STOWARZYSZENIA',
      #     60  => 'ORGANIZACJE SPOŁECZNE ODDZIELNIE NIEWYMIENIONE',
      #     65  => 'INSTYTUTY BADAWCZE',
      #     70  => 'PARTIE POLITYCZNE',
      #     72  => 'ZWIĄZKI ZAWODOWE',
      #     73  => 'ORGANIZACJE PRACODAWCÓW',
      #     76  => 'SAMORZĄD GOSPODARCZY I ZAWODOWY',
      #     79  => 'ODDZIAŁY PRZEDSIĘBIORCÓW ZAGRANICZNYCH',
      #     80  => 'PRZEDSTAWICIELSTWA ZAGRANICZNE',
      #     81  => 'PRZEDSZKOLA PUBLICZNE',
      #     82  => 'PRZEDSZKOLA NIEPUBLICZNE',
      #     83  => 'SZKOŁY PUBLICZNE PODSTAWOWE',
      #     84  => 'SZKOŁY PUBLICZNE GIMNAZJA',
      #     85  => 'WSPÓLNOTY MIESZKANIOWE',
      #     86  => 'SZKOŁY PUBLICZNE PONADGIMNAZJALNE',
      #     87  => 'SZKOŁY PUBLICZNE ARTYSTYCZNE',
      #     88  => 'SZKOŁY NIEPUBLICZNE PODSTAWOWE',
      #     89  => 'SZKOŁY NIEPUBLICZNE GIMNAZJA',
      #     90  => 'ZWIĄZKI GRUP PRODUCENTÓW ROLNYCH',
      #     91  => 'SZKOŁY NIEPUBLICZNE PONADGIMNAZJALNE',
      #     92  => 'SZKOŁY NIEPUBLICZNE ARTYSTYCZNE',
      #     93  => 'PLACÓWKI SYSTEMU OŚWIATOWEGO PUBLICZNE',
      #     94  => 'PLACÓWKI SYSTEMU OŚWIATOWEGO NIEPUBLICZNE',
      #     95  => 'INNE JEDNOSTKI ORGANIZACYJNE SYSTEMU OŚWIATY PUBLICZNE',
      #     96  => 'INNE JEDNOSTKI ORGANIZACYJNE SYSTEMU OŚWIATY NIEPUBLICZNE',
      #     97  => 'ZESPOŁY SZKÓŁ I PLACÓWEK SYSTEMU OŚWIATY PUBLICZNE',
      #     98  => 'ZESPOŁY SZKÓŁ I PLACÓWEK SYSTEMU OŚWIATY NIEPUBLICZNE',
      #     99  => 'BEZ SZCZEGÓLNEJ FORMY PRAWNEJ',
      #     019 => 'SPÓŁKI CYWILNE PROWADZĄCE DZIAŁALNOŚĆ NA PODSTAWIE UMOWY ZAWARTEJ ZGODNIE Z KODEKSEM CYWILNYM',
      #     023 => 'SPÓŁKI PRZEWIDZIANE W PRZEPISACH INNYCH USTAW NIŻ KODEKS SPÓŁEK HANDLOWYCH I KODEKS CYWILNY LUB FORMY PRAWNE, DO KTÓRYCH STOSUJE SIĘ PRZEPISY O SPÓŁKACH',
      #     044 => 'UCZELNIE',
      #     049 => 'FUNDUSZE',
      #     050 => 'KOŚCIÓŁ KATOLICKI',
      #     051 => 'INNE KOŚCIOŁY I ZWIĄZKI WYZNANIOWE',
      #     053 => 'EUROPEJSKIE UGRUPOWANIA WSPÓŁPRACY TERYTORIALNEJ',
      #     055 => 'STOWARZYSZENIA NIEWPISANE DO KRS',
      #     060 => 'ORGANIZACJE SPOŁECZNE ODDZIELNIE NIEWYMIENIONE NIEWPISANE DO KRS',
      #     070 => 'PARTIE POLITYCZNE',
      #     076 => 'SAMORZĄDY GOSPODARCZE I ZAWODOWE NIEWPISANE DO KRS',
      #     080 => 'PRZEDSTAWICIELSTWA ZAGRANICZNE',
      #     085 => 'WSPÓLNOTY MIESZKANIOWE',
      #     099 => 'OSOBY FIZYCZNE PROWADZĄCE DZIAŁALNOŚĆ GOSPODARCZĄ',
      #     114 => 'EUROPEJSKIE ZGRUPOWANIA INTERESÓW GOSPODARCZYCH',
      #     116 => 'SPÓŁKI AKCYJNE',
      #     117 => 'SPÓŁKI Z OGRANICZONĄ ODPOWIEDZIALNOŚCIĄ',
      #     118 => 'SPÓŁKI JAWNE',
      #     115 => 'SPÓŁKI PARTNERSKIE',
      #     120 => 'SPÓŁKI KOMANDYTOWE',
      #     121 => 'SPÓŁKI KOMANDYTOWO - AKCYJNE',
      #     122 => 'SPÓŁKI EUROPEJSKIE',
      #     124 => 'PRZEDSIĘBIORSTWA PAŃSTWOWE',
      #     126 => 'TOWARZYSTWA UBEZPIECZEŃ WZAJEMNYCH',
      #     132 => 'INSTYTUCJE GOSPODARKI BUDŻETOWEJ',
      #     133 => 'ZWIĄZKI ZAWODOWE ROLNIKÓW INDYWIDUALNYCH',
      #     134 => 'TOWARZYSTWA REASEKURACJI WZAJEMNEJ',
      #     135 => 'GŁÓWNE ODDZIAŁY ZAGRANICZNYCH ZAKŁADÓW REASEKURACJI',
      #     136 => 'GŁÓWNE ODDZIAŁY ZAGRANICZNYCH  ODDZIAŁÓW UBEZPIECZEŃ',
      #     136 => 'GŁÓWNE ODDZIAŁY ZAGRANICZNYCH ZAKŁADÓW UBEZPIECZEŃ',
      #     137 => 'OGÓLNOKRAJOWE ZRZESZENIA MIĘDZYBRANŻOWE',
      #     138 => 'OGÓLNOKRAJOWE ZWIĄZKI MIĘDZYBRANŻOWE',
      #     140 => 'SPÓŁDZIELNIE',
      #     142 => 'SPÓŁDZIELNIE EUROPEJSKIE',
      #     143 => 'ZWIĄZKI ROLNIKÓW, KÓŁEK I ORGANIZACJI ROLNICZYCH',
      #     145 => 'ZWIĄZKI ROLNICZYCH ZRZESZEŃ BRANŻOWYCH',
      #     146 => 'SAMODZIELNE PUBLICZNE ZAKŁADY OPIEKI ZDROWOTNEJ',
      #     147 => 'CECHY RZEMIEŚLNICZE',
      #     148 => 'FUNDACJE',
      #     152 => 'IZBY RZEMIEŚLNICZE',
      #     154 => 'ZWIĄZEK RZEMIOSŁA POLSKIEGO',
      #     155 => 'STOWARZYSZENIA',
      #     156 => 'ZWIĄZKI STOWARZYSZEŃ',
      #     157 => 'STOWARZYSZENIA KULTURY FIZYCZNEJ',
      #     158 => 'ZWIĄZKI SPORTOWE',
      #     159 => 'POLSKIE ZWIĄZKI SPORTOWE',
      #     160 => 'INNE ORGANIZACJE SPOŁECZNE LUB ZAWODOWE',
      #     161 => 'KOLUMNY TRANSPORTU SANITARNEGO',
      #     162 => 'STOWARZYSZENIA KULTURY FIZYCZNEJ O ZASIĘGU OGÓLNOKRAJOWYM',
      #     163 => 'ZRZESZENIA HANDLU I USŁUG',
      #     164 => 'ZRZESZENIA TRANSPORTU',
      #     165 => 'INSTYTUTY BADAWCZE',
      #     141 => 'JEDNOSTKI BADAWCZO-ROZWOJOWE',
      #     166 => 'OGÓLNOKRAJOWE REPREZENTACJE ZRZESZEŃ HANDLU I USŁUG',
      #     167 => 'OGÓLNOKRAJOWE REPREZENTACJE ZRZESZEŃ TRANSPORTU',
      #     168 => 'INNE ORGANIZACJE PODMIOTÓW GOSPODARCZYCH',
      #     169 => 'IZBY GOSPODARCZE',
      #     171 => 'PRZEDSIĘBIORSTWA ZAGRANICZNE',
      #     172 => 'ZWIĄZKI ZAWODOWE',
      #     174 => 'ZWIĄZKI PRACODAWCÓW',
      #     175 => 'FEDERACJE/KONFEDERACJE ZWIĄZKÓW PRACODAWCÓW',
      #     177 => 'KÓŁKA ROLNICZE',
      #     178 => 'ROLNICZE ZRZESZENIA BRANŻOWE',
      #     179 => 'ODDZIAŁY ZAGRANICZNYCH PRZEDSIĘBIORCÓW',
      #     180 => 'SPÓŁDZIELCZE KASY OSZCZĘDNOŚCIOWO-KREDYTOWE',
      #     181 => 'STOWARZYSZENIA OGRODOWE',
      #     182 => 'ZWIĄZKI STOWARZYSZEŃ OGRODOWYCH',
      #     183 => 'JEDNOSTKI TERENOWE STOWARZYSZEŃ POSIADAJĄCYCH OSOBOWOŚĆ PRAWNĄ',
      #     184 => 'JEDNOSTKI ORGANIZACYJNE ZWIĄZKÓW ZAWODOWYCH POSIADAJĄCE OSOBOWOŚĆ PRAWNĄ',
      #     381 => 'PRZEDSZKOLA PUBLICZNE',
      #     382 => 'PRZEDSZKOLA NIEPUBLICZNE',
      #     383 => 'PUBLICZNE SZKOŁY PODSTAWOWE',
      #     384 => 'PUBLICZNE GIMNAZJA',
      #     386 => 'PUBLICZNE SZKOŁY PONADGIMNAZJALNE',
      #     387 => 'PUBLICZNE SZKOŁY ARTYSTYCZNE',
      #     388 => 'NIEPUBLICZNE SZKOŁY PODSTAWOWE',
      #     389 => 'NIEPUBLICZNE GIMNAZJA',
      #     391 => 'NIEPUBLICZNE SZKOŁY PONADGIMNAZJALNE',
      #     392 => 'NIEPUBLICZNE SZKOŁY ARTYSTYCZNE',
      #     393 => 'PUBLICZNE PLACÓWKI SYSTEMU OŚWIATY',
      #     394 => 'NIEPUBLICZNE PLACÓWKI SYSTEMU OŚWIATY',
      #     395 => 'INNE PUBLICZNE JEDNOSTKI ORGANIZACYJNE SYSTEMU OŚWIATY',
      #     396 => 'INNE NIEPUBLICZNE JEDNOSTKI ORGANIZACYJNE SYSTEMU OŚWIATY',
      #     397 => 'PUBLICZNE ZESPOŁY SZKÓŁ I PLACÓWEK SYSTEMU OŚWIATY',
      #     398 => 'NIEPUBLICZNE ZESPOŁY SZKÓŁ I PLACÓWEK SYSTEMU OŚWIATY',
      #     401 => 'ORGANY WŁADZY, ADMINISTRACJI RZĄDOWEJ',
      #     402 => 'ORGANY KONTROLI PAŃSTWOWEJ I OCHRONY PRAWA',
      #     403 => 'WSPÓLNOTY SAMORZĄDOWE',
      #     406 => 'SĄDY I TRYBUNAŁY',
      #     409 => 'SKARB PAŃSTWA',
      #     428 => 'PAŃSTWOWE JEDNOSTKI ORGANIZACYJNE',
      #     429 => 'GMINNE SAMORZĄDOWE JEDNOSTKI ORGANIZACYJNE',
      #     430 => 'POWIATOWE SAMORZĄDOWE JEDNOSTKI ORGANIZACYJNE',
      #     431 => 'WOJEWÓDZKIE SAMORZĄDOWE JEDNOSTKI ORGANIZACYJNE',
      #     439 => 'INNE PAŃSTWOWE LUB SAMORZĄDOWE OSOBY PRAWNE W ROZUMIENIU ART. 9 PKT 14 USTAWY Z DNIA 27 SIERPNIA 2009 R. O FINANSACH PUBLICZNYCH (DZ. U. Z 2013 R. POZ. 885, Z PÓŹ. ZM.)',
      #     999 => 'BEZ SZCZEGÓLNEJ FORMY PRAWNEJ',
      #   }
      # end

      # def forma_finansowania
      #   {
      #     0 => 'JEDNOSTKA LOKALNA NIE BILANSUJĄCA SAMODZIELNIE',
      #     1 => 'JEDNOSTKA SAMOFINANSUJĄCA NIE BĘDĄCA JEDNOSTKĄ BUDŻETOWĄ LUB SAMORZĄDOWYM ZAKŁADEM BUDŻETOWYM',
      #     2 => 'JEDNOSTKA BUDŻETOWA',
      #     3 => 'SAMORZĄDOWY ZAKŁAD BUDŻETOWY',
      #     4 => 'GOSPODARSTWO POMOCNICZE JEDNOSTKI BUDŻETOWEJ',
      #     5 => 'JEDNOSTKA LOKALNA SAMODZIELNIE BILANSUJĄCA',
      #   }
      # end

      # def forma_wlasnosci
      #   {
      #     111 => 'WŁASNOŚĆ SKARBU PAŃSTWA',
      #     112 => 'WŁASNOŚĆ PAŃSTWOWYCH OSÓB PRAWNYCH',
      #     113 => 'WŁASNOŚĆ JEDNOSTEK SAMORZĄDU TERYTORIALNEGO LUB SAMORZĄDOWYCH OSÓB PRAWNYCH',
      #     121 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PUBLICZNYM Z PRZEWAGĄ WŁASNOŚCI SKARBU PAŃSTWA',
      #     122 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PUBLICZNYM Z PRZEWAGĄ WŁASNOŚCI PAŃSTWOWYCH OSÓB PRAWNYCH',
      #     123 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PUBLICZNYM Z PRZEWAGĄ WŁASNOŚCI JEDNOSTEK SAMORZĄDU TERYTORIALNEGO LUB SAMORZĄDOWYCH OSÓB PRAWNYCH',
      #     127 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PUBLICZNYM Z BRAKIEM PRZEWAGI KTÓREGOKOLWIEK RODZAJU WŁASNOŚCI PUBLICZNEJ',
      #     131 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PUBLICZNEGO, W TYM Z PRZEWAGĄ WŁASNOŚCI SKARBU PAŃSTWA',
      #     132 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PUBLICZNEGO, W TYM Z PRZEWAGĄ WŁASNOŚCI PAŃSTWOWYCH OSÓB PRAWNYCH',
      #     133 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PUBLICZNEGO, W TYM Z PRZEWAGĄ WŁASNOŚCI JEDNOSTEK SAMORZĄDU TERYTORIALNEGO LUB SAMORZĄDOWYCH OSÓB PRAWNYCH',
      #     137 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PUBLICZNEGO Z BRAKIEM PRZEWAGI KTÓREGOKOLWIEK RODZAJU WŁASNOŚCI PUBLICZNEJ',
      #     214 => 'WŁASNOŚĆ KRAJOWYCH OSÓB FIZYCZNYCH',
      #     215 => 'WŁASNOŚĆ PRYWATNA KRAJOWA POZOSTAŁA',
      #     216 => 'WŁASNOŚĆ ZAGRANICZNA',
      #     224 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PRYWATNYM Z PRZEWAGĄ WŁASNOŚCI KRAJOWYCH OSÓB FIZYCZNYCH',
      #     225 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PRYWATNYM Z PRZEWAGĄ WŁASNOŚCI PRYWATNEJ KRAJOWEJ POZOSTAŁEJ',
      #     226 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PRYWATNYM Z PRZEWAGĄ WŁASNOŚCI ZAGRANICZNEJ',
      #     227 => 'WŁASNOŚĆ MIESZANA W SEKTORZE PRYWATNYM Z BRAKIEM PRZEWAGI KTÓREGOKOLWIEK RODZAJU WŁASNOŚCI PRYWATNEJ',
      #     234 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PRYWATNEGO, W TYM Z PRZEWAGĄ WŁASNOŚCI KRAJOWYCH OSÓB FIZYCZNYCH',
      #     235 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PRYWATNEGO, W TYM Z PRZEWAGĄ WŁASNOŚCI PRYWATNEJ KRAJOWEJ POZOSTAŁEJ',
      #     236 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PRYWATNEGO, W TYM Z PRZEWAGĄ WŁASNOŚCI ZAGRANICZNEJ',
      #     237 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z PRZEWAGĄ WŁASNOŚCI SEKTORA PRYWATNEGO Z BRAKIEM PRZEWAGI KTÓREGOKOLWIEK RODZAJU WŁASNOŚCI PRYWATNEJ',
      #     331 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z NAJWYŻSZYM UDZIAŁEM WŁASNOŚCI SKARBU PAŃSTWA W KAPITALE OGÓŁEM',
      #     332 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z NAJWYŻSZYM UDZIAŁEM WŁASNOŚCI PAŃSTWOWYCH OSÓB PRAWNYCH W KAPITALE OGÓŁEM',
      #     333 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z NAJWYŻSZYM UDZIAŁEM WŁASNOŚCI JEDNOSTEK SAMORZĄDU TERYTORIALNEGO LUB SAMORZĄDOWYCH OSÓB PRAWNYCH',
      #     334 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z NAJWYŻSZYM UDZIAŁEM WŁASNOŚCI KRAJOWYCH OSÓB FIZYCZNYCH W KAPITALE OGÓŁEM',
      #     335 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z NAJWYŻSZYM UDZIAŁEM WŁASNOŚCI POZOSTAŁYCH KRAJOWYCH JEDNOSTEK PRYWATNYCH W KAPITALE OGÓŁEM',
      #     336 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z NAJWYŻSZYM UDZIAŁEM WŁASNOŚCI OSÓB ZAGRANICZNYCH W KAPITALE OGÓŁEM',
      #     338 => 'WŁASNOŚĆ MIESZANA MIĘDZY SEKTORAMI Z TAKIM SAMYM UDZIAŁEM WŁASNOŚCI SEKTORA PUBLICZNEGO I PRYWATNEGO Z BRAKIEM PRZEWAGI KTÓREGOKOLWIEK RODZAJU WŁASNOŚCI W KAPITALE OGÓŁEM',
      #   }
      # end

      def organ_zalozycielski
        # TODO
      end

      def organ_rejestrowy
        # TODO
      end

      def rejestr_ewidencji
        # TODO
      end
    end
  end
end
